org.apache.felix.ipojo.dependency.impl

## Class DependencyProperties

- java.lang.Object
- - org.apache.felix.ipojo.dependency.impl.DependencyProperties

    public class DependencyProperties
    extends java.lang.Object

Builds the properties used to checks if an interceptor matches a specific dependency.

### Constructor Summary

Constructors
Constructor and Description
`DependencyProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Dictionary<java.lang.String,?>` `getDependencyProperties(DependencyModel dependency)`
`static boolean` `match(org.osgi.framework.ServiceReference reference, DependencyModel dependency)`
`static boolean` `match(org.osgi.framework.ServiceReference reference, DependencyModel dependency, org.osgi.framework.BundleContext context)` Checks that the 'target' property of the service reference matches the dependency.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyProperties

    public DependencyProperties()

### Method Detail

#### getDependencyProperties

    public static java.util.Dictionary<java.lang.String,?> getDependencyProperties(DependencyModel dependency)

#### match

    public static boolean match(org.osgi.framework.ServiceReference reference,
                                DependencyModel dependency,
                                org.osgi.framework.BundleContext context)

Checks that the 'target' property of the service reference matches the dependency.

Parameters:
  `reference` - the reference
  `dependency` - the dependency
  `context` - a bundle context used to build the filter
Returns:
  true if the target's property of reference matches the dependency.

#### match

    public static boolean match(org.osgi.framework.ServiceReference reference,
                                DependencyModel dependency)